﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{8549C42E-EB35-4148-BE66-45DBAF46D2BC}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Glamma</RootNamespace>
    <AssemblyName>Glamma</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\_exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\_exe\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="FormBase.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormGlamma.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormGlamma.Designer.cs">
      <DependentUpon>FormGlamma.cs</DependentUpon>
    </Compile>
    <Compile Include="LaserAreaScannerCommand.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Uart.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="UartTerminal.cs">
      <SubType>Form</SubType>
    </Compile>
    <EmbeddedResource Include="FormGlamma.resx">
      <DependentUpon>FormGlamma.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="app.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Basic\Programdata\Programdata.csproj">
      <Project>{B8510D21-1897-4687-AEE8-4CE176C63F87}</Project>
      <Name>Programdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\BitmapImage\BitmapImage\BitmapImage.csproj">
      <Project>{a0923fe1-b376-4873-a6d5-7fc78d0a4151}</Project>
      <Name>BitmapImage</Name>
    </ProjectReference>
    <ProjectReference Include="..\CommandProtocol\CommandProtocol\CommandProtocol.csproj">
      <Project>{cda1e8d6-27a8-4246-9736-71dbed05ece8}</Project>
      <Name>CommandProtocol</Name>
    </ProjectReference>
    <ProjectReference Include="..\CommandProtocol\CPLaserAreaScanner\CPLaserAreaScanner.csproj">
      <Project>{d3d0017c-61f2-491a-b7bb-0239121222e2}</Project>
      <Name>CPLaserAreaScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\Device\LaserScanner\LaserScanner.csproj">
      <Project>{26075584-1f18-465e-9ed2-266481216846}</Project>
      <Name>LaserScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\Image24b\Image24b.csproj">
      <Project>{83f99835-57db-4290-b529-4670e85d1e8a}</Project>
      <Name>Image24b</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\Task\Task.csproj">
      <Project>{4F2721D7-9490-4C24-A180-138943F215A3}</Project>
      <Name>Task</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\TextFile\TextFile.csproj">
      <Project>{ED877FF6-BED0-4D46-A533-A2CA747FB86C}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\XmlFile\XmlFile.csproj">
      <Project>{fbbc1dda-dc31-4698-89e4-3d5e466499d5}</Project>
      <Name>XmlFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Uart\Uart\Uart.csproj">
      <Project>{91357433-ddb9-4801-880d-6cbccea8a030}</Project>
      <Name>Uart</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{2C1BC3B8-2DBE-4957-9798-533CE49D4330}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCSerialNumber\UCSerialNumber.csproj">
      <Project>{4E5C356C-90B5-4336-A053-DF9BB8EF138C}</Project>
      <Name>UCSerialNumber</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCTextEditor\UCTextEditor.csproj">
      <Project>{5418741E-45FB-4C00-A692-25B5A2C35777}</Project>
      <Name>UCTextEditor</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCDevice\UCLaserAreaScanner\UCLaserAreaScanner.csproj">
      <Project>{1dff7e2f-54df-444d-aab8-4f69f57e10bf}</Project>
      <Name>UCLaserAreaScanner</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCGlamma\UCHighLevelMMA\UCHighLevelMMA.csproj">
      <Project>{a7090202-9ccf-4824-b7a0-73b853e39abc}</Project>
      <Name>UCHighLevelMMA</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCGlamma\UCImageProcessing\UCImageProcessing.csproj">
      <Project>{f09291df-50da-4147-b642-316257d96e6e}</Project>
      <Name>UCImageProcessing</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCGlamma\UCLowLevelMMA\UCLowLevelMMA.csproj">
      <Project>{3e4294e4-4c72-48ba-ae8f-2e4206fbf7a2}</Project>
      <Name>UCLowLevelMMA</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCHelper\UCMultiColorText\UCMultiColorText.csproj">
      <Project>{09ab201a-520e-4a98-a5dc-fc7bed38b79b}</Project>
      <Name>UCMultiColorText</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCUart\UCUartOpenClose\UCUartOpenClose.csproj">
      <Project>{9cd39c6e-18b1-43a9-9de3-03c33db61c91}</Project>
      <Name>UCUartOpenClose</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCUart\UCUartTerminal\UCUartTerminal.csproj">
      <Project>{e05d92a0-da62-4a71-a5e1-9181b988623e}</Project>
      <Name>UCUartTerminal</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Resources\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>